package de.intevation.flys.client.client.services;

import java.util.List;

import com.google.gwt.user.client.rpc.AsyncCallback;

import de.intevation.flys.client.shared.model.FeatureInfoResponse;
import de.intevation.flys.client.shared.model.Theme;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public interface GFIServiceAsync {

    void query(
        Theme                 theme,
        String                format,
        String                bbox,
        String                projection,
        int                   height,
        int                   width,
        int                   x,
        int                   y,
        AsyncCallback<FeatureInfoResponse> callback
    );
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
